Index: issm/branches/trunk-jpl-damage/test/NightlyRun/test999.py
===================================================================
--- issm/branches/trunk-jpl-damage/test/NightlyRun/test999.py	(revision 12878)
+++ issm/branches/trunk-jpl-damage/test/NightlyRun/test999.py	(revision 12878)
@@ -0,0 +1,27 @@
+#md=model()
+#md=triangle(md,'../Exp/Square.exp',50000)
+#md=setmask(md,'all','')
+#md=parameterize(md,'../Par/SquareShelfConstrained.py')
+
+md1=[11,12,13]
+md2=[21,22,23]
+md3=[34,32,33]
+md4=[41,44,43]
+md5=[51,52,53]
+md6=[61,62,63]
+md7=[71,72,73]
+
+#Fields and tolerances to track changes
+field_names     =['Vx','Vy','Vel','Pressure',\
+	'StressTensorxx','StressTensoryy','StressTensorxy']
+field_tolerances=[1e-13,1e-13,1e-13,1e-13,\
+	1e-13,1e-13,1e-13]
+field_values=[\
+	[md1],\
+	[md2],\
+	[md3],\
+	[md4],\
+	[md5],\
+	[md6],\
+	[md7],\
+	]
Index: issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.par
===================================================================
--- issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.par	(revision 12877)
+++ issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.par	(revision 12878)
@@ -51,5 +51,5 @@
 md=SetIceShelfBC(md);
 
-%Change name so that no test have the same name
+%Change name so that no tests have the same name
 A=dbstack;
 if (length(A)>2), md.miscellaneous.name=A(3).file(1:end-2); end
Index: issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.py
===================================================================
--- issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.py	(revision 12877)
+++ issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.py	(revision 12878)
@@ -4,4 +4,6 @@
 import InterpFromMeshToMesh2d as im
 from   paterson import  *
+from SetIceShelfBC import *
+import inspect
 
 #Start defining model parameters here
@@ -18,10 +20,15 @@
 #Initial velocity 
 mat=matio.loadmat('../Data/SquareShelfConstrained.data')
+#Reshape as Rank-1 arrays
+x=reshape(mat['x'],(-1))
+y=reshape(mat['y'],(-1))
+vx=mat['vx']
+vy=mat['vy']
 #deal with 'F' oriented matlab matrices!
 index=mat['index'].astype(float)
 index=reshape(index.T,(len(index),3),order='F')
 
-md.initialization.vx = im.InterpFromMeshToMesh2d(index, mat['x'], mat['y'], mat['vx'], md.mesh.x, md.mesh.y)
-md.initialization.vy = im.InterpFromMeshToMesh2d(index, mat['x'], mat['y'], mat['vy'], md.mesh.x, md.mesh.y)
+md.initialization.vx = im.InterpFromMeshToMesh2d(index, x, y, vx, md.mesh.x, md.mesh.y)
+md.initialization.vy = im.InterpFromMeshToMesh2d(index, x, y, vy, md.mesh.x, md.mesh.y)
 md.initialization.vz = zeros(md.mesh.numberofvertices)
 md.initialization.pressure = zeros(md.mesh.numberofvertices)
@@ -53,7 +60,6 @@
 #Deal with boundary conditions:
 md = SetIceShelfBC(md)
-#Change name so that no test have the same name
-A = dbstack
-if length(A) > 2.:
-    md.miscellaneous.name = A[2].file[0:0-2.]
+#Change name so that no tests have the same name
+if len(inspect.stack()) > 2:
+    md.miscellaneous.name = inspect.stack()[2][1].split('.')[0]
 
